Summary: 	The Red Hat BIND DNS Configuration Tool.
Name: 		system-config-bind
Version: 	4.0.3
Release: 	5%{?dist}
License: 	GPL
Group: 		Applications/System
URL: 		https://fedorahosted.org/system-config-bind/
Source0: 	%{name}-%{version}.tar.gz
Patch:		system-config-bind-4.0.3-version.patch
Patch1:		system-config-bind-4.0.3-version-2.patch
Patch2:		system-config-bind-4.0.3-acl.patch
Patch3:		system-config-bind-4.0.3-ns-record.patch
Patch4:		system-config-bind-4.0.3-deleg-only.patch
Patch5:		system-config-bind-4.0.3-pdf-manual.patch
Patch6:		system-config-bind-4.0.3-dialog-typo.patch
Patch7:		system-config-bind-4.0.3-rndc-key.patch
Patch8:		system-config-bind-4.0.3-modal-dialog.patch
Patch9:		system-config-bind-4.0.3-process-includes.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: 	noarch
BuildRequires:  python, gettext, make, intltool
Requires: 	python >= 2.2
Requires: 	pygtk2, gnome-python2, pygtk2-libglade, gnome-python2-canvas
Requires: 	bind, bind-utils
Requires:	bitmap-fonts
Requires(post): hicolor-icon-theme
Obsoletes: 	redhat-config-bind
Obsoletes: 	bindconf

%define debug_package %{nil}

%description
The system-config-bind package provides a graphical user interface (GUI) to
configure the Berkeley Internet Name Domain (BIND) Domain Name System (DNS)
server, "named", with a set of python modules.
Users new to BIND configuration can use this tool to quickly set up a working
DNS server.

%prep
%setup -q
%patch  -p1
%patch1 -p1
%patch2 -p1 -b .acl
%patch3 -p1 -b .ns-record
%patch4 -p1 -b .deleg-only
%patch5 -p1 -b .pdf-manual
%patch6 -p1 -b .dialog-typo
%patch7 -p1 -b .rndc-key
%patch8 -p1 -b .modal-dialog
%patch9 -p1 -b .process-includes

%build
rm -rf $RPM_BUILD_ROOT
make 

%install
make install      ROOT=%{buildroot}
%find_lang %{name} || touch %{name}.lang;
%find_lang bindconf || touch bindconf.lang;
cat %{name}.lang bindconf.lang > scb.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f scb.lang
%defattr(-,root,named,-)
/usr/share/system-config-bind
/usr/sbin/system-config-bind
/usr/sbin/system-config-bind-gui
/usr/bin/system-config-bind
/usr/bin/bindconf
%attr(644,root,named) /usr/share/applications/system-config-bind.desktop
%attr(644,root,named) /usr/share/icons/hicolor/48x48/apps/system-config-bind.png
%attr(644,root,named) /etc/security/console.apps/system-config-bind
%attr(644,root,named) /etc/security/console.apps/bindconf
%attr(644,root,named) /etc/pam.d/bindconf
%attr(644,root,named) /etc/pam.d/system-config-bind
%doc scb_manual.pdf

%post
if [ "$1" = "1" ]; then
   if [ -f /etc/pam.d/bindconf ] && [ -f /etc/pam.d/system-config-bind ] && [ ! -L /etc/pam.d/bindconf ]; then
      /bin/rm -f /etc/pam.d/bindconf;
      /bin/ln -s /etc/pam.d/system-config-bind /etc/pam.d/bindconf;
   fi
   if [ -f /etc/security/console.apps/bindconf ] && [ -f /etc/security/console.apps/system-config-bind ] && [ ! -L /etc/security/console.apps/bindconf ]; then
      /bin/rm -f /etc/security/console.apps/bindconf;
      /bin/ln -s /etc/security/console.apps/system-config-bind /etc/security/console.apps/bindconf;
   fi
   /bin/touch --no-create %{_datadir}/icons/hicolor
   if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
   fi
fi

%postun
if [ "$1" -eq 0 ]; then
   /bin/touch --no-create %{_datadir}/icons/hicolor
   if [ -x /usr/bin/gtk-update-icon-cache ]; then
  	/usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
   fi;
fi;

%triggerin -n system-config-bind -- system-config-bind <= 4.0.0-28
if [ "$2" -gt 0 ]; then
#  remove some CVS directories that got included by mistake, which can cause
#  "initializing from defaults" to fail
   [ -d /usr/share/system-config-bind/profiles/CVS ] && /bin/rm -rf /usr/share/system-config-bind/profiles/CVS;	
   [ -d /usr/share/system-config-bind/profiles/default/CVS ] && /bin/rm -rf /usr/share/system-config-bind/profiles/default/CVS;	
   [ -d /usr/share/system-config-bind/profiles/default/named/CVS ] && /bin/rm -rf /usr/share/system-config-bind/profiles/default/named/CVS; 
   :;
fi

%changelog
* Mon Oct 24 2011 Jaroslav Reznik <jreznik@redhat.com> - 4.0.3-5
- Resolves: #462846 - modal dialog refuses to die
- Resolves: #511864 - parse include statements within view clause

* Tue Jul 29 2008 Jaroslav Reznik <jreznik@redhat.com> - 4.0.3-4
- Resolves: #449306 - rpm should require bitmap-fonts
- Resolves: #443731 - error in dialog message
- Resolves: #248901 - help manual insists to install PDF reader
- Resolves: #323161 - s-c-b doesn't handle rndc.key file

* Tue May 13 2008 Radek Brich <radek.brich@redhat.com> - 4.0.3-3
- fix #253310 - allow subdomain delegation
- fix #289561 - error while trying to use saved Named ACls
- fix #323291 - delegation-only zone creation

* Thu Dec 14 2006 Martin Stransky <stransky@redhat.com> - 4.0.3-2
- fixed version/paths to Manual/ISC APM
- Resolves: rhbz#216584

* Fri Dec 1 2006 Martin Stransky <stransky@redhat.com> - 4.0.3-1
- updated translations
- Resolves: rhbz#216606

* Wed Oct 4 2006 Martin Stransky <stransky@redhat.com> - 4.0.1-3
- added patch for #195001 - string with translators credits

* Tue Sep 12 2006 Martin Stransky <stransky@redhat.com> - 4.0.1-2
- added patch for #195001 - system-config-bind is not fully localized

* Tue Sep 5 2006 Martin Stransky <stransky@redhat.com> - 4.0.1-1
- package version bump

* Fri Jul 21 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-44
- ship updated translations
- fix build and release tag (update release to 44).

* Wed Jul 19 2006 Jesse Keating <jkeating@redhat.com> - 4.0.0-43
- fix release tag

* Wed Jun 14 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-42
- Handle named.conf 'include' statements within clauses 
  e.g. 'view x { include "y"; }'
- Tooltip text not gettext-ized (part of fix for bug 195001)

* Wed Jun 07 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-41
- fix bug 194058: freeze / unfreeze dynamic zones when saving

* Wed Mar 08 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-40
- fix bug 184065: prompts to place slave / DDNS updateable zone
                  files in slaves/ 
- ship updated translations
 
* Tue Mar 01 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-38
- fix bug 182857: add Requires(post): hicolor-icon-them
- ship updated translations

* Tue Jan 10 2006 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-36
- fix bug 176142 (final!) : ship the Serbian translations
- fix str widget save (TXT records)

* Wed Dec 21 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-34
- fix bug 170617: don't use pam_stack in pam configuration file

* Mon Dec 19 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-33
- fix bug 175420: traceback when named.conf included a nonexistent file
- fix bug 176142: ship updated Serbian translation

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 28 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-32
- fix bug 174284: Lookup.py failed when hostname matches IP
		  address regexps and has no DNS record

* Fri Sep 23 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-31
- fix deletion of record with following records for same name
- fix zone serial increment on save
- ship updated translations

* Mon Aug 15 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-30
- fix IPv6 address labelling
- fix reverse IP zone origin selection menus for A & AAAA records
  when there are forwarder reverse IP zones
- remove CVS directories mistakenly included in previous versions

* Tue Aug 09 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-28
- fix bug 165445: relax restriction on no address records for origin

* Mon Aug 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-22
- fix bug 165292: missing 'key' keyword in ACL named keys
- workaround ISC bug 15195: named cannot handle multiple keys in rndc.key

* Fri Jul 29 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-21
- fix bug 164245: generate desktop file from translations in .po files
- fix bug 164613, 164611: translated string typos
- further fix for bug 158438: sentence splitting

* Mon Jul 25 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-20
- fix bug 164129: DNS.py 'declartation' -> 'declaration'
- fix bug 163937: NamedConfOptions 'Name of ke.' -> 'Name of key.'
- fix bug 158438: avoid sentence splitting in translatable messages

* Fri Jul 15 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-18
- fix bug 163304: handle empty contents in Zone.out
- fix bug 161988: create links to .mo files for bindconf
- fix bug 161987: don't use substring of translated string in DNSsec TrustedKeys
- fix bug 159534: add descriptions to deprecated record types
- fix bug 158441: shorten NamedConfOptions description strings

* Mon May 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-16
- fix bug 157207:  allow build to succeed if bind package is not installed

* Thu May 05 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-16
- fix out-of-zone data reporting
- out-of-zone string comparison should be case-insensitive
- fix bug 156913: wrong file permissions for config files

* Wed May 04 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-12
- fix bug 156884: handle named.conf with NO options clause .

* Wed Apr 27 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-10
- Add User Guide & Manual in /usr/share/doc/system-config-bind-%{version}

* Wed Apr 27 2005 Miloslav Trmac <mitr@redhat.com> - 4.0.0-9
- Remove dependency on 4Suite (#155113)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 4.0.0-8
- silence %%post

* Mon Apr 04 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-7
- fix bug 153035: gtk.FALSE/TRUE deprecation warnings

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- added .spec file icon cache update

* Tue Mar 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-4
- fix bug 150011
- Add DNSsec capabilities.

* Sun Feb 01 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-3
- fix bugs 146475, 146606, 143780
 
* Fri Dec 17 2004 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-1
- Initial build.

